All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.metadata.lookup.utils
Class XML

    com.sas.services.information.metadata.lookup.utils.XML

    public class XML

Constructor Summary
`XML()`

Method Summary
`static org.w3c.dom.Document` | `createDocument(java.lang.String xml)`
`static org.w3c.dom.Node` | `findChildNodeByName(org.w3c.dom.Node node, java.lang.String name)`
`static org.w3c.dom.Document` | `newDocument(java.lang.String name)`
`static org.w3c.dom.Document` | `parse(java.io.File file)`
`static void` | `write(org.w3c.dom.Document doc, java.io.File file)`
`static void` | `writeToConsole(org.w3c.dom.Document doc)`

Constructor Detail

### XML

    public XML()

Method Detail

### createDocument

    public static org.w3c.dom.Document createDocument(java.lang.String xml)

### newDocument

    public static org.w3c.dom.Document newDocument(java.lang.String name)

### parse

    public static org.w3c.dom.Document parse(java.io.File file)
                                      throws java.io.FileNotFoundException,
                                             java.io.IOException,
                                             org.xml.sax.SAXException,
                                             javax.xml.parsers.ParserConfigurationException

  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`
    `org.xml.sax.SAXException`
    `javax.xml.parsers.ParserConfigurationException`

### writeToConsole

    public static void writeToConsole(org.w3c.dom.Document doc)

### write

    public static void write(org.w3c.dom.Document doc,
                             java.io.File file)

### findChildNodeByName

    public static org.w3c.dom.Node findChildNodeByName(org.w3c.dom.Node node,
                                                       java.lang.String name)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.